%if 0%{?rhel}
%global with_python3 0
%else
%global with_python3 1
%endif

Name:           python-pam
Version:        1.8.3
Release:        3%{?dist}
Summary:        Pure Python interface to the Pluggable Authentication Modules system on Linux

Group:          Development/Libraries
License:        MIT
URL:            https://github.com/FirefighterBlu3/python-pam
Source0:        https://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
%if 0%{?rhel}
BuildRequires:  python-setuptools
%else
BuildRequires:  python2-setuptools
%endif
%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif

%description
This module provides an authenticate function that allows the caller to
authenticate a given username / password against the PAM system on Linux.

%package -n python2-pam
Summary:        Pure Python interface to the Pluggable Authentication Modules system on Linux
Group:          Development/Languages
%{?python_provide:%python_provide python2-pam}

%description -n python2-pam
This module provides an authenticate function that allows the caller to
authenticate a given username / password against the PAM system on Linux.

%if 0%{?with_python3}
%package -n python3-pam
Summary:        Pure Python interface to the Pluggable Authentication Modules system on Linux
Group:          Development/Languages
%{?python_provide:%python_provide python3-pam}

%description -n python3-pam
This module provides an authenticate function that allows the caller to
authenticate a given username / password against the PAM system on Linux.
%endif

%prep
%autosetup

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif

%files -n python2-pam
%doc README.md
%{python2_sitelib}/pam.py*
%{python2_sitelib}/python_pam*-%{version}-py*.egg-info

%if 0%{?with_python3}
%files -n python3-pam
%doc README.md
%{python3_sitelib}/pam.py*
%{python3_sitelib}/python_pam*-%{version}-py*.egg-info
%{python3_sitelib}/__pycache__/pam.cpython*
%endif

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.8.3-2
- Rebuilt for Python 3.7

* Wed May 16 2018 Juan Orti Alcaine <jorti@fedoraproject.org> - 1.8.3-1
- Version 1.8.3

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Jul 01 2017 Juan Orti Alcaine <jorti@fedoraproject.org> - 1.8.2-9
- Python3 changes

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.8.2-7
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.2-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Nov 16 2015 Juan Orti Alcaine <jorti@fedoraproject.org> - 1.8.2-4
- Use python_provide macro

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri May 22 2015 Juan Orti Alcaine <jorti@fedoraproject.org> - 1.8.2-1
- Switch to fork from David Ford, previous source was unmaintained since 2009
- Update to 1.8.2
- Add python3 subpackage

* Tue Aug 12 2014 Juan Orti Alcaine <jorti@fedoraproject.org> - 0.1.4-2
- Add support for EPEL6.

* Wed Jun 11 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-1
- Bug #1104258 update to 0.1.4

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 09 2013 Juan Orti Alcaine <jorti@fedoraproject.org> - 0.1.3-1
- Initial packaging
